# Copyright (C) 2020 by Animath
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig
from django.db.models.signals import post_save, pre_save


class ParticipationConfig(AppConfig):
    """
    The participation app contains the data about the teams, solutions, ...
    """
    name = 'participation'

    def ready(self):
        from participation.signals import create_notes, create_team_participation, update_mailing_list
        pre_save.connect(update_mailing_list, "participation.Team")
        post_save.connect(create_team_participation, "participation.Team")
        post_save.connect(create_notes, "participation.Passage")
        post_save.connect(create_notes, "participation.Pool")
